INSTALL(1)

NUME
install - copiază fișiere și stabilește atribute

REZUMAT
install [OPȚIUNE]... [-T] SURSA DESTINAȚIME
install [OPȚIUNE]... SURSA... DIRECTOR
install [OPȚIUNE]... -t DIRECTOR SURSĂ...
install [OPȚIUNE]... -d DIRECTOR...

DESCRIERE

Acest program de instalare copiază fișierele (deseori recent compilate) în locațiile de destinație pe care le alegeți. Dacă doriți să descărcați și să instalați un pachet gata de utilizare pe un sistem GNU/Linux, ar trebui să utilizați în schimb un manager de pachete precum yum(1) sau apt-get(1).

În primele trei forme, copiază SURSA în DESTINAȚIE sau mai multe SURSE în DIRECTORUL existent, în timp ce stabilește modurile de permisiune și proprietarul/grupul. În cea de-a patra formă, creează toate componentele DIRECTORULUI sau DIRECTOARELOR) date.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--backup[=CONTROL]
    face o copie de rezervă a fiecărui fișier destinație existent

-b  la fel ca --backup, dar nu acceptă un argument

-c  (ignorată)

-C, --compare
    compară conținutul fișierelor sursă și destinație și dacă nu se modifică conținutul, proprietatea și permisiunile, nu modifică deloc destinația

-d, --directory
    tratează toate argumentele ca nume de director; creează toate componentele directoarelor specificate

-D  creează toate componentele principale ale DESTINAȚIEI, cu excepția ultimei, sau toate componentele stabilite de --target-directory, apoi copiază SURSA la DESTINAȚIE

-g, --group=GRUP
    stabilește dreptul de proprietate GRUPului, în loc de grupului curent al procesului

-m, --mode=MOD
    stabilește permisele de acces, MODUL (ca în chmod(1)), în loc de rwxr-xr-x

-o, --owner=PROPRIETAR
    stabilește proprietarul (rulează numai ca super-utilizator)

-p, --preserve-timestamps
    aplică timpii de acces/modificare a fișierelor SURSĂ la fișierele de destinație corespunzătoare

-s, --strip
    elimină tabelele de simboluri

--strip-program=PROGRAM
    programul utilizat pentru a elimina tabelele de simboluri din binare

-S, --suffix=SUFIX
    înlocuiește sufixul obișnuit de copie de rezervă

-t, --target-directory=DIRECTOR
    copiază toate argumentele SURSĂ în DIRECTOR

-T, --no-target-directory
    tratează DESTINAȚIA ca pe un fișier obișnuit

-v, --verbose
    afișează numele fiecărui director pe măsură ce acesta este creat

--preserve-context
    păstrează contextul de securitate SELinux

-Z  stabilește contextul de securitate SELinux al fișierului destinație și fiecare director creat la tipul implicit

--context[=CTX]
    ca -Z, sau dacă este specificat CTX, stabilește contextul de securitate SELinux sau SMACK la CTX

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Sufixul copiei de rezervă este „~”, cu excepția cazului în care este stabilit cu opțiunea --suffix sau variabila de mediu SIMPLE_BACKUP_SUFFIX. Metoda de control al versiunii poate fi selectată cu ajutorul opțiunii --backup sau prin intermediul variabilei de mediu VERSION_CONTROL. Iată valorile:

none, off
    nu face niciodată copii de rezervă (chiar dacă este dată opțiunea --backup)

numbered, t
    face copii de rezervă numerotate

existing, nil
    numerotat dacă copiile de rezervă numerotate există, simplu în caz contrar

simple, never
    întotdeauna face copii de rezervă simple

AUTOR
Scris de David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/install>
sau local rulând comanda: «info '(coreutils) install invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.